Subject: [PATCH/RFC 0/7] Column output

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Tue, 8 Feb 2011 22:22:14 +0700

This series was made a year ago [1]. I'm quite happy with it so far
and also tired of maintaining off-tree. So here's another attempt to
clean it up and put it upstream.

In short, the series is very simple: give porcelain commands column
output, just like good old "ls". There could be a few more candidates,
I believe René Scharfe mentioned other files in "git status".

Another thing is how you want to customize this. Currently it supports
two modes: equal columns, and dense mode, specified with
--column=column or --column=dense. Obviously not very convenient.
There's core.column but I'm not sure how to specify modes there, and
if people like some more modes (fill rows before columns for example).

[1] http://mid.gmane.org/[email-masked]

Nguyễn Thái Ngọc Duy (7):
  Move term_columns() to pager.c and save terminal width before pager
  Add column layout
  parseopt: OPT_COLUMN to set struct column_layout.mode
  add core.column
  help: reuse struct column_layout
  tag: support column output with --column
  branch: support column output with --column

 .gitignore                   |    1 +
 Documentation/config.txt     |    8 ++
 Documentation/git-branch.txt |    8 ++
 Documentation/git-tag.txt    |   11 ++-
 Makefile                     |    3 +
 builtin/branch.c             |   22 ++++-
 builtin/tag.c                |   19 ++++-
 cache.h                      |    2 +
 column.c                     |  195 ++++++++++++++++++++++++++++++++++++++++++
 column.h                     |   23 +++++
 config.c                     |   16 ++++
 environment.c                |    1 +
 help.c                       |   55 +++----------
 pager.c                      |   32 +++++++
 parse-options.h              |    2 +
 t/t9002-column.sh            |  108 +++++++++++++++++++++++
 test-column.c                |   59 +++++++++++++
 17 files changed, 514 insertions(+), 51 deletions(-)
 create mode 100644 column.c
 create mode 100644 column.h
 create mode 100755 t/t9002-column.sh
 create mode 100644 test-column.c

-- 
1.7.2.2